﻿对接文档：DockingDocuments

110对接：
1、返回的加密参数不能带引号（只能是：XQk+M/BOCycTE9GJxjI，不能是："XQk+M/BOCycTE9GJxjI"）
2、不同的110对接厂家限制的字段长度不一样
	a：宜宾》接警员编码长度6，受理内容长度300，处理情况长度300，反馈人员长度6
	b：自贡》接警员编码长度30，受理内容长度2000，处理情况长度1600，反馈人员长度30
3、110推送给12345的工单直接调用的hotline系统add-anonymous接口
4、110推送给12345办理数据通过消息队列
5、12345推送给110的工单和办理结果都是直接写入ds数据库，110每隔5分钟请求一次接口来获取数据
6、返回给110的数据都需要用sm4加base64加密，每个接口的sm4不一样
7、ds_receive_police_data 110推送的原始数据表，ds_police_send_chain_alarm_xx 推送给110的工单数据，ds_police_send_chain_deal_xx 推送给110的工单办理数据
8、12345推送给110的工单，选择一级部门为市公安局110

12315数据规则：
1、12315的数据通过市州上报接口推送
2、推送12315数据必须要有拓展信息，并且需要先传拓展信息成功
3、12315的办理过程需要ds每两个小时定时查询
4、拓展信息上传需要注意字段长度限制
5、上报工单只能推送一次，省12345不接受多次推送
6、12315工单如果推送失败，12315平台不接受再次推送（推送失败包括：字数限制、字段为空等因素）
7、12315工单判断根据一级部门来判断，宜宾、泸州为省12345平台、自贡为省12315平台
9、12315拉取的办理过程保存在 DsGetCaseDistrecordSend 中，工单详情页面的12315流程是通过 get_case_distrecord_send 接口查询

12328工单规则：
1、直办件根据工单热点来判断是否属于12328 工单
2、交办件根据工单的实际办理部门是否属于市州上报的交通部门判断
3、如果最开始为直办件（热点满足12328条件），后面派送到部门最后的实际办理部门不属于12328，会导致工单的办结信息推送不到12328
4：12328都是通过省12345推送数据

省12345：
1、工单需要在流程开启后3分钟以内推送到省12345（目前根据工单中starttime为开始时间）
2、话务数据需要电话挂断后3分钟以内推送到省12345（根据电话挂断时间为准）
3、工单匹配率，电话来源的工单与通话记录匹配的数量/电话来源的工单
4、办理意见省工单2000，国家平台的办理意见1000字符---500汉字
5、省工单不满意重办，会先推送重办信息，接着推送回访信息
6、省工单省上审核只有同意或者不同意，没有其他的状态
7、重新上传工单可以通过 数据共享平台--->期满时间修改 上传最新的工单数据（最新的受理类型、最新的期满时间等）
8、工单和电话的匹配可以通过无通话记录工单处理，修改并推送不会更改工单本地的来源，只会修改推送到省上的来源
9：省上推送下来的所有原始数据都保存在DsReceiveProvinceData表中，其中ServiceInterface字段对应省文档中的接口名称，
	服务工单交办接口中：CaseProcessType字段对应省交办的方式 （10：直接办结；20：交办；30：派单员重派；40：结果审核重派；50：回访不满意重派）
10：工单开启流程推送服务工单受理、电话服务记录，挂断电话推送电话服务记录，工单办理过程中推送服务工单处理，工单归档推送服务工单办结、服务工单受理、电话服务记录
11：省上电话和工单关联是通过电话服务记录接口中的CASE_SERIAL字段关联
12：批量推送汇聚数据注意：同一个批次中的数据省上要么只做新增要么只做更新、相近时间的也是同样操作（如果有3条数据，第一条是需要新增，后面都是更新，如果在同一批次中省上会将这三条数据都做新增操作）

数据共享平台
1、数据共享平台--->推送失败查询 可以查询市州推往其他平台失败的数据
2、数据共享平台--->其他平台数据接收 查询其他平台推往市州的数据
3、数据共享平台--->待推送数据 （目前默认一条数据重试7次）
	a：省平台》查询待推送到省平台的数据，如果推送失败会保留到此页面
	b：其他平台》市州待推送到除省平台外其他第三方的数据
4、数据共享平台--->已推送任务
	a：服务工单受理》市州生成的工单推送到省上的数据，初次推送时间：本条数据第一次推送的时间，最近一次推送时间：
		本条数据最后一次推送的时间，如果一次推送成功则初次和最近一次推送的时间相同（例如：如果一条数据推送了4次才成功：那么初次的时间是第一次推送的时间，最近一次推送时间为第四次推送的时间）
	b：电话记录、服务工单处理过程、服务工单处理结果同上
	c：服务工单处理结果》期满时间：取值为最后一次推送成功给省上的期满时间（TFDBACKTIME_BF），是否超期是根据当前数据的办结时间与最后一次上传的期满时间对比
	d：省平台推送其他》除开前面列举的接口外，其他推送给省上的接口（回访、甄别、延期上报、拓展信息等）
	e：其他平台》除省平台外地其他对接平台

汇聚数据查询（已经写成函数保存到数据库）：
select CalConnectionRate "话务接通率",
MatchingRateOfCallData "话务数据匹配率",
TimelyUploadRateOfCallData "话务数据及时上传率",
TimelyUploadRateOfOrderData "工单数据及时上传率",
AcceptanceQuantity "受理量",
NumbeOfCompletedCases "办结件数",
OnTimeCompletionRate "按时办结率",
FollowUpVolume "回访量",
DissatisfiedItems "不满意件",
DissatisfactionRate "不满意率",
KnowledgeTotalNum "知识库总量",
KnowledgeUpdateTotalNum "知识库更新数量"
FROM
get_aggregate_data_tatistics('2024-11-18 00:00:00','2024-11-30 23:59:59')



