﻿using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Police110.DCJT110
{
    public class SendData
    {
        /// <summary>
        /// 开始时间
        /// </summary>
        [JsonPropertyName("startDate")]
        public string StartDate { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        [JsonPropertyName("endDate")]
        public string EndDate { get; set; }

        /// <summary>
        /// 接警单编号
        /// </summary>
        [JsonPropertyName("JJDBH")]
        public string AlarmReceiptNumber { get; set; }

        /// <summary>
        /// 处置类型 1正常 2退回 3回访 4警情签收状态 5是结果签收状态  
        /// </summary>
        [JsonPropertyName("CZLX")]
        public int DisposalType { get; set; } = 1;
    }
}
